export default function MyCenteredContainer({
  children,
  fullHeight = false,
  height = "100vh",
}) {
  return (
    <div
      style={{
        display: "flex",
        flexDirection: "row",
        justifyContent: "center",
        alignContent: "center",
        alignItems: "center",
        height: fullHeight ? height : "85.3vh",
      }}
    >
      {children}
    </div>
  );
}
