import { Button, notification } from "antd";
import { useAppContext } from "../../Contexts/AppContext";
import { myFetch, showUnkownErrorNotification } from "../../utils";
import { useTranslation } from "react-i18next";
import { CreditCardOutlined } from "@ant-design/icons";
import { useState } from "react";
import PageInDevelopment from "../PageInDevelopment";
// import { ChoosenProduct } from "../Authentication/SignUp";

export default function PaymentPlan() {
  const { t } = useTranslation();
  const appContext = useAppContext();

  const [notificationApi, notificationContextHolder] =
    notification.useNotification();

  const [isRequestingBillingDetails, setIsRequestingBillingDetails] =
    useState(false);

  return (
    <>
      {notificationContextHolder}
      <PageInDevelopment showBackButton={false} />
    </>
  );
}

/*
<ChoosenProduct
        t={t}
        paymentPlan={appContext.paymentPlan}
        extra={
          <Button
            type="link"
            icon={<CreditCardOutlined />}
            loading={isRequestingBillingDetails}
            onClick={() => {
              setIsRequestingBillingDetails(true);

              myFetch({
                method: "GET",
                url: "/payment/portal",
              })
                .then((response) => (window.location.href = response.url))
                .catch(() => {
                  setIsRequestingBillingDetails(false);
                  showUnkownErrorNotification(notificationApi, t);
                });
            }}
          >
            {t("paymentPlan.buttonUpdateBillingDetails")}
          </Button>
        }
      />
    </>
*/
